<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- IGAC proyecto SNC 

@author         pedro.garcia
@modified       juan.agudelo
@version        2.0
@cu             CU-CO-V-11 CU-CO-E-07 CU-CO-V-06 CU-CO-E-06 CU-CO-E-5
@description    Página donde se muestra el resumen total de un trámite 

Parámetros:
@param currentManagedBeanParam: MB que contiene el trámite del que se muestran los detalles, 
                                                                y los predios asociados al mismo
@param currentDetallePredioWV: WV de la pantalla de detalle de predio                                                              

@param  detallePredioFormIdParam  cadena con el id de la forma en detallesPredioCC para actualizar.
    Debe ser el id cualificado (el que es la cadena separada por ':' de los ids de los componentes padre)
    
@param permiteSubirArchivos    Por defecto falso, pero si llega verdadero permite subir documentos requeridos

@param  showAskForDocsButtonParam  indica si se debe mostrar el botón que permite pedir documentos
            adicionales en este punto (al mostrar detalles)

@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2

@modified javier.aponte OJO se agrega un update en el botón del detalle del predio, 
          porque al cargar éste traia al principio la pantalla de ubicación del predio en blanco, 
          el update que se agrego fue el siguiente :dpCC:detallesPredioTV, 
          suponiendo que todas las pantallas que usan detalle trámite en ejecución también 
          usan el composite de detalle del predio, de lo contrario va a fallar

@modified leidy.gonzalez :: 27/01/2015 :: #11154 :: Se modifica composite que se llama 
al visualizar los documentos soporte

@modified by leidy.gonzalez::#13960:: 01/10/2015:: Se adiciona tabla para visualizar 
documentos generados por el sistema

-->

<h:form id="detalleTramiteEjecutarForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <h:outputScript library="javascript" name="snc_visor_client.js"
                    target="head" />
    <h:outputStylesheet library="css" name="snc_visor_client.css" />

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
    <p:focus />

    <p:messages id="msgsDetalleTramite" showDetail="false"
                globalOnly="false" />

    <p:spacer height="20" width="0" />

    <p:tabView cache="true" dynamic="true" id="detalleTramiteEjecutarTab">

        <p:tab title="Datos del trámite">
            <p:spacer height="10" width="0" />
            <h:panelGrid cellspacing="7" columns="8">

                <h:outputLabel value="Tipo de trámite: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.tipoTramiteCadenaCompleto}"
                    styleClass="outputTextStyle" />

                <p:spacer height="0" width="7" />
                <h:outputLabel value="Clasificación: " styleClass="outputLabelStyle" />
                <h:outputText value=" " styleClass="outputTextStyle"
                              rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.clasificacion eq null}" />
                <h:outputText
                    value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.clasificacion}"
                    styleClass="outputTextStyle" id="TramiteClasificacionV">
                    <f:converter converterId="converterCB" for="TramiteClasificacionV" />
                </h:outputText>
                <p:spacer width="50"></p:spacer>				
                <p:commandLink rendered="false" ajax="true" immediate="true" title="Ver proceso" 
                               oncomplete="procesoImgWV.show()" 
                               update=":detalleTramiteEjecutarForm:procesoImg" >
                    <p:graphicImage url="/images/proceso2.JPG"></p:graphicImage>
                    <f:setPropertyActionListener value="#{tarea.id}" target="#{tareasPendientes.idTarea}" />
                </p:commandLink>

            </h:panelGrid>

            <p:spacer height="30" width="0" />
            <p:dataTable id="prediosTramiteDT" widgetVar="prediosTramiteDTWV"
                         value="#{currentManagedBeanParam.selectedTramitePrediosForDetailsChecking}"
                         var="currentPredioTramite" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                         emptyMessage="No se encontraron predios">
                <f:facet name="header">
                    Predios asociados al trámite
                </f:facet>

                <p:column headerText="Detalle"
                          rendered="#{not (currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta
                                      and not currentManagedBeanParam.selectedTramiteForDetailsChecking.quintaMasivo)}">

                    <p:commandButton title="Ver detalle del predio"
                                     action="#{currentManagedBeanParam.inicializarConsultaPredioMB}"
                                     oncomplete="#{currentDetallePredioWV}.show();" process="@this"
                                     icon="ui-icon-search"
                                     update="#{tramiteResumenID}:detalleTramiteEjecutarForm:msgsDetalleTramite,
                                     #{detallePredioFormIdParam},:dpCC:detallesPredioTV">
                        <f:setPropertyActionListener value="#{currentPredioTramite}"
                                                     target="#{currentManagedBeanParam.selectedPredioTramiteForDetailsChecking}" />
                        <f:setPropertyActionListener
                            target="#{consultaPredio.selectedPredio1}"
                            value="#{currentPredioTramite}" />
                    </p:commandButton>
                    <p:commandButton 
                        title="Zoom al predio" icon="ui-icon ui-icon-zoomin" immediate="true"
                        rendered="#{!currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}"
                        disabled="#{currentPredioTramite.tipoCatastro eq 'V'}"
                        onclick="cargarMapaZoomToFeature('#{currentManagedBeanParam.applicationClientName}',
                                        '#{currentManagedBeanParam.tokenParam}',
                                        '#{currentManagedBeanParam.moduleLayer}',
                                        '#{currentManagedBeanParam.moduleTools}',
                                        '#{currentPredioTramite.numeroPredial}');">
                    </p:commandButton>
                    <p:commandButton 
                        disabled="#{currentPredioTramit.tipoCatastro eq 'V'}"
                        title="Zoom al predio" immediate="true"	icon="ui-icon ui-icon-zoomin"
                        onclick="cargarMapaZoomToFeature('#{currentManagedBeanParam.applicationClientName}',
                                        '#{currentManagedBeanParam.tokenParam}',
                                        '#{currentManagedBeanParam.moduleLayer}',
                                        '#{currentManagedBeanParam.moduleTools}',
                                        '#{currentManagedBeanParam.selectedTramiteForDetailsChecking.numeroPredial}');"
                        rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}">
                    </p:commandButton>

                </p:column>
                <p:column headerText="Número predial">
                    <h:outputText
                        value="#{currentPredioTramite.formattedNumeroPredialCompleto}"
                        rendered="#{!currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}" />

                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.numeroPredial}"
                        rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}" />

                </p:column>

                <p:column headerText="Departamento">
                    <h:outputText value="#{currentPredioTramite.departamento.nombre}"
                                  rendered="#{!currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}" />

                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.departamento.nombre}"
                        rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText value="#{currentPredioTramite.municipio.nombre}"
                                  rendered="#{!currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}" />

                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.municipio.nombre}"
                        rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}" />
                </p:column>

                <p:column headerText="Área"
                          rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.quinta}">
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.areaTerreno}"
                        styleClass="outputTextStyle" />
                </p:column>

            </p:dataTable>

            <p:spacer height="30" width="0" />

            <ui:remove>
                <!--D: datos de trámite 'normal' -->
            </ui:remove>
            <p:outputPanel
                rendered="#{!currentManagedBeanParam.selectedTramiteForDetailsChecking.esCasoEspecialParaVerDetalles}"
                layout="block" style="border:0px;">
                <fieldset style="border: 0px;">

                    <h:panelGrid columns="3" cellspacing="7">
                        <h:panelGroup>
                            <h:outputLabel value="Número de radicación: "
                                           styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.numeroRadicacion}"
                                styleClass="outputTextStyle" />
                        </h:panelGroup>

                        <h:panelGroup>
                            <h:outputLabel value="Fecha de radicación: "
                                           styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fechaRadicacion}"
                                styleClass="outputTextStyle">
                                <f:convertDateTime pattern="#{general.formatoFecha}" />
                            </h:outputText>
                        </h:panelGroup>

                        <h:panelGroup>
                            <h:outputLabel value="Fuente: " styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fuente}"
                                styleClass="outputTextStyle" id="TramiteFuente-2">
                                <f:converter converterId="converterCB" for="TramiteFuente-2" />
                            </h:outputText>
                        </h:panelGroup>
                    </h:panelGrid>

                </fieldset>

            </p:outputPanel>

            <ui:remove>
                <!--D: datos de trámite de rectificación o de complementación -->
            </ui:remove>
            <p:outputPanel
                rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.esRectificacion or
                            currentManagedBeanParam.selectedTramiteForDetailsChecking.esComplementacion}"
                layout="block" style="border:0px;">
                <fieldset style="border: 0px;">

                    <h:panelGrid columns="3" cellspacing="7" width="100%">
                        <h:panelGroup>
                            <h:outputLabel value="Número de radicación: "
                                           styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.numeroRadicacion}"
                                styleClass="outputTextStyle" />
                        </h:panelGroup>

                        <h:panelGroup>
                            <h:outputLabel value="Fecha de radicación: "
                                           styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fechaRadicacion}"
                                styleClass="outputTextStyle">
                                <f:convertDateTime pattern="#{general.formatoFecha}" />
                            </h:outputText>
                        </h:panelGroup>

                        <h:panelGroup>
                            <h:outputLabel value="Fuente: " styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fuente}"
                                styleClass="outputTextStyle" id="TramiteFuente">
                                <f:converter converterId="converterCB" for="TramiteFuente" />
                            </h:outputText>
                        </h:panelGroup>
                    </h:panelGrid>

                </fieldset>

                <p:spacer height="30" width="0" />
                <p:dataTable id="datosRectificarComplementarDT"
                             value="#{currentManagedBeanParam.selectedTramiteDatosRectificacionForDetailsCheking}"
                             var="currentTramiteRectificacion" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                             emptyMessage="No se encontraron datos a rectificar o complementar">
                    <f:facet name="header">
                        Datos a rectificar o complementar
                    </f:facet>
                    <p:column headerText="Tipo de rectificación">
                        <h:outputText
                            value="#{currentTramiteRectificacion.datoRectificar.tipo}" />
                    </p:column>

                    <p:column headerText="Dato a rectificar">
                        <h:outputText
                            value="#{currentTramiteRectificacion.datoRectificar.nombre}" />
                    </p:column>
                </p:dataTable>

            </p:outputPanel>


            <ui:remove>
                <!--D: datos de trámite de auto estimación -->
            </ui:remove>
            <p:outputPanel
                rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.tramiteDeAutoavaluo or currentManagedBeanParam.selectedTramiteForDetailsChecking.cuarta}"
                layout="block">
                <h:panelGrid width="100%" cellspacing="7" columns="6">

                    <h:outputLabel value="Área terreno: " styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.areaTerreno}"
                        styleClass="outputTextStyle">
                        <f:convertNumber type="number" />
                    </h:outputText>

                    <h:outputLabel value="Área construcción: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.areaConstruccion}"
                        styleClass="outputTextStyle">
                        <f:convertNumber type="number" />
                    </h:outputText>

                    <h:outputLabel value="Auto estimación terreno: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText 
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.autoavaluoTerreno}"
                        styleClass="outputTextStyle">						
                        <f:convertNumber type="number" />
                    </h:outputText>

                    <h:outputLabel value="Auto estimación edificaciones: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.autoavaluoConstruccion}"
                        styleClass="outputTextStyle">
                        <f:convertNumber type="number" />
                    </h:outputText>

                    <h:outputLabel value="Dirección:" styleClass="outputLabelStyle"
                                   rendered="#{!currentManagedBeanParam.selectedTramiteForDetailsChecking.tramiteRural}" />
                    <h:outputLabel value="Nombre:" styleClass="outputLabelStyle"
                                   rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.tramiteRural}" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.ubicacionPredio}"
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Tipo avalúo:" styleClass="outputLabelStyle" />
                    <h:outputLabel value="Urbano"
                                   rendered="#{!currentManagedBeanParam.selectedTramiteForDetailsChecking.tramiteRural}" />
                    <h:outputLabel value="Rural"
                                   rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.tramiteRural}" />

                    <h:outputLabel value="Fecha radicación en tesorería: " rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.tramiteDeAutoavaluo}"
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fechaRadicacionTesoreria}" rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.tramiteDeAutoavaluo}"
                        styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>

                </h:panelGrid>

                <h:panelGrid width="100%" columns="2" cellspacing="7">

                    <h:outputLabel value="Fuente: " styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fuente}"
                        styleClass="outputTextStyle" id="TramiteFuente-4">
                        <f:converter converterId="converterCB" for="TramiteFuente-4" />							
                    </h:outputText>

                    <h:outputLabel value="Resumen: " styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.resumen}"
                        styleClass="outputTextStyle" />

                </h:panelGrid>
            </p:outputPanel>

            <ui:remove>
                <!--D: datos de trámite de revisión de avalúo -->
            </ui:remove>
            <p:outputPanel
                rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.esTramiteDeRevisionDeAvaluo}"
                layout="block">

                <h:panelGrid columns="6" width="100%" cellspacing="15">

                    <h:outputLabel value="Número de radicación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.numeroRadicacion}"
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Fuente: " styleClass="outputLabelStyle" />
                    <h:outputText id="TramiteFuente-3"
                                  value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fuente}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterCB" for="TramiteFuente-3" />
                    </h:outputText>

                    <h:outputLabel value="Fecha de radicación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fechaRadicacion}"
                        styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>

                    <h:outputLabel value="Síntesis de petición: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fundamentoPeticion}"
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Fecha radicación en tesorería: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fechaRadicacionTesoreria}"
                        styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>

                </h:panelGrid>
            </p:outputPanel>

            <ui:remove>
                <!--D: datos de trámite de Vía gubernativa -->
            </ui:remove>
            <p:outputPanel
                rendered="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.viaGubernativa}"
                layout="block">

                <h:panelGrid columns="3" cellspacing="7">
                    <h:outputLabel value="Fundamento de petición: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.fundamentoPeticion}"
                        styleClass="outputTextStyle" />
                </h:panelGrid>
            </p:outputPanel>

        </p:tab>

        <p:tab title="Datos del solicitante">
            <div style="overflow: auto; width: 100%;">
                <ui:remove>
                    <!--D: esta tabla se muestra cuando no hay solicitantes por trámite sino por solicitud -->
                </ui:remove>
                <p:dataTable
                    value="#{currentManagedBeanParam.selectedTramiteSolicitantesSolicitudForDetailsChecking}"
                    var="solicitanteSolicitud" id="solicitantesSolicitudDT"
                    emptyMessage="La Solicitud no tiene solicitantes"
                    rendered="#{!currentManagedBeanParam.banderaMostrarSolicitantesTramite}">
                    <f:facet name="header">
                        Solicitantes de la solicitud
                    </f:facet>

                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="T.P." title="Tipo de persona" />
                        </f:facet>
                        <h:outputText value="#{solicitanteSolicitud.tipoPersona}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="T.I." title="Tipo de identificación" />
                        </f:facet>
                        <h:outputText value="#{solicitanteSolicitud.tipoIdentificacion}" />
                    </p:column>

                    <p:column headerText="No. de identificación">
                        <h:outputText value="#{solicitanteSolicitud.numeroIdentificacion}" />
                    </p:column>

                    <p:column headerText="Nombre / Razón social">
                        <h:outputText value="#{solicitanteSolicitud.nombreCompleto}" />
                    </p:column>

                    <p:column headerText="Relación">
                        <h:outputText value="#{solicitanteSolicitud.relacion}" />
                    </p:column>

                    <p:column headerText="País">
                        <h:outputText value="#{solicitanteSolicitud.direccionPais.nombre}" />
                    </p:column>

                    <p:column headerText="Departamento">
                        <h:outputText
                            value="#{solicitanteSolicitud.direccionDepartamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText
                            value="#{solicitanteSolicitud.direccionMunicipio.nombre}" />
                    </p:column>                    

                    <p:column headerText="Dirección">
                        <h:outputText value="#{solicitanteSolicitud.direccion}" />
                    </p:column>

                    <p:column headerText="Código postal">
                        <h:outputText value="#{solicitanteSolicitud.solicitante.codigoPostal}" />
                    </p:column>


                    <p:column headerText="Teléfono">
                        <h:outputText value="#{solicitanteSolicitud.telefonoPrincipal}" />
                    </p:column>

                    <p:column headerText="Correo electrónico">
                        <h:outputText value="#{solicitanteSolicitud.correoElectronico}" />
                    </p:column>

                </p:dataTable>

                <ui:remove>
                    <!--D: esta tabla se muestra cuando hay solicitantes por trámite  -->
                </ui:remove>
                <p:dataTable
                    value="#{currentManagedBeanParam.selectedTramiteSolicitantesForDetailsChecking}"
                    var="solicitanteTramite" id="solicitantesTramiteDT"
                    emptyMessage="La Solicitud no tiene solicitantes"
                    rendered="#{currentManagedBeanParam.banderaMostrarSolicitantesTramite}">

                    <f:facet name="header">
                        Solicitantes de la solicitud
                    </f:facet>

                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="T.P." title="Tipo de persona" />
                        </f:facet>
                        <h:outputText value="#{solicitanteTramite.tipoPersona}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="T.I." title="Tipo de identificación" />
                        </f:facet>
                        <h:outputText value="#{solicitanteTramite.tipoIdentificacion}" />
                    </p:column>

                    <p:column headerText="No. de identificación">
                        <h:outputText value="#{solicitanteTramite.numeroIdentificacion}" />
                    </p:column>

                    <p:column headerText="Nombre / Razón social">
                        <h:outputText value="#{solicitanteTramite.nombreCompleto}" />
                    </p:column>

                    <p:column headerText="Tipo solicitante">
                        <h:outputText value="#{solicitanteTramite.tipoSolicitante}" />
                    </p:column>

                    <p:column headerText="Dirección">
                        <h:outputText value="#{solicitanteTramite.direccion}" />
                    </p:column>

                    <p:column headerText="Teléfono">
                        <h:outputText value="#{solicitanteTramite.telefonoPrincipal}" />
                    </p:column>

                    <p:column headerText="Correo electrónico">
                        <h:outputText value="#{solicitanteTramite.correoElectronico}" />
                    </p:column>

                    <p:column headerText="País">
                        <h:outputText value="#{solicitanteTramite.direccionPais.nombre}" />
                    </p:column>

                    <p:column headerText="Departamento">
                        <h:outputText
                            value="#{solicitanteTramite.direccionDepartamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText
                            value="#{solicitanteTramite.direccionMunicipio.nombre}" />
                    </p:column>
                </p:dataTable>

            </div>
        </p:tab>

        <p:tab title="Documentos aportados">

            <p:spacer height="13" width="0" />

            <p:dataTable var="documentacionTramite" id="tblDocumentacionTramite"
                         widgetVar="documentosRequeridosWV" paginatorPosition="bottom"
                         paginator="true" rows="10" rowKey="#{documentacionTramite.id}"
                         value="#{currentManagedBeanParam.documentacionRequerida}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" selectionMode="single"
                         emptyMessage="No hay resultados para esta búsqueda">

                <f:facet name="header">
                    Documentación requerida
                </f:facet>

                <p:column rendered="#{permiteSubirArchivos}">
                    <f:facet name="header">
                        Opciones
                    </f:facet>
                    <p:commandButton rendered="#{permiteSubirArchivos}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();documentacionWV.show()"
                                     icon="ui-icon ui-icon-pencil" ajax="true"
                                     update=":documentacionForm2" process="@this"
                                     action="#{managedBeanParam.setSelectedTramiteDocumentacion}">
                        <f:setPropertyActionListener value="#{documentacionTramite}"
                                                     target="#{managedBeanParam.documentoSeleccionado}" />
                    </p:commandButton>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Aportado
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.aporta ? 'Si' : 'No'}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Radicado en  <br />
                        correspondencia
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.documentoSoporte.numeroRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha de  <br />
                        correspondencia
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.documentoSoporte.fechaRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Tipo documento
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.tipoDocumento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Detalle
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.detalle}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Folios
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.cantidadFolios}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Documento soporte
                    </f:facet>
                    <p:commandLink
                        value="#{documentacionTramite.documentoSoporte.archivo}"
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        oncomplete="docViewerWV.show();statusDialog2.hide()"
                        onstart="statusDialog2.show()"
                        action="#{currentManagedBeanParam.cargarDocumentoTemporalPrev}"
                        rendered="#{!documentacionTramite.documentoSoporte.archivoADescargar}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoAlfresco}"
                            value="#{documentacionTramite.documentoSoporte}" />
                        <f:setPropertyActionListener
                            target="#{currentManagedBeanParam.selectedTramiteDocumentacion}"
                            value="#{documentacionTramite}" />
                    </p:commandLink>

                </p:column>
                <p:column>
                    <f:facet name="header">
                        Fecha de solicitud
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.fechaSolicitudDocumento}" >
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

            </p:dataTable>

            <p:spacer height="13" width="0" />

            <p:dataTable var="documentoAdicional" id="tblDocumentosAdicionales"
                         widgetVar="documentoAdicionalWV" paginatorPosition="bottom"
                         paginator="true" rows="10" rowKey="#{documentoAdicional.id}"
                         value="#{currentManagedBeanParam.documentacionAdicional}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" selectionMode="single"
                         emptyMessage="No hay resultados para esta búsqueda">


                <f:facet name="header">
                    Documentación adicional
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Tipo documento
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoAdicional.tipoDocumento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Detalle
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoAdicional.detalle}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Folios
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoAdicional.cantidadFolios}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Documento soporte
                    </f:facet>

                    <p:commandLink
                        value="#{documentoAdicional.documentoSoporte.archivo}"
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        oncomplete="docViewerWV.show();statusDialog2.hide()"
                        onstart="statusDialog2.show()"
                        action="#{currentManagedBeanParam.cargarDocumentoTemporalPrev}"
                        rendered="#{!documentoAdicional.documentoSoporte.archivoADescargar}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoAlfresco}"
                            value="#{documentoAdicional.documentoSoporte}" />
                        <f:setPropertyActionListener
                            target="#{currentManagedBeanParam.selectedTramiteDocumentacion}"
                            value="#{documentoAdicional}" />
                    </p:commandLink>

                </p:column>

            </p:dataTable>

            <p:spacer height="13" width="0" />

            <p:dataTable var="documentoGenerado" id="tblDocumentosGenerados"
                         widgetVar="documentoAdicionalWV" paginatorPosition="bottom"
                         paginator="true" rows="10" rowKey="#{documentoGenerado.id}"
                         value="#{currentManagedBeanParam.documentacionGenerada}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" selectionMode="single"
                         emptyMessage="No hay resultados para esta búsqueda">


                <f:facet name="header">
                    Documentación generada
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Radicado en  <br />
                        correspondencia
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoGenerado.documento.numeroRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha de  <br />
                        correspondencia
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoGenerado.documento.fechaRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Tipo documento
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoGenerado.documento.tipoDocumento.nombre}" />
                </p:column>				

                <p:column>
                    <f:facet name="header">
                        Documento soporte
                    </f:facet>
                    <p:commandLink
                        value="#{documentoGenerado.documento.archivo}"
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        oncomplete="docViewerWV.show();statusDialog2.hide()"
                        onstart="statusDialog2.show()"
                        action="#{currentManagedBeanParam.cargarDocumentoTemporalPrev}"
                        rendered="#{!documentoGenerado.documento.archivoADescargar}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoAlfresco}"
                            value="#{documentoGenerado.documento}" />
                        <f:setPropertyActionListener
                            target="#{currentManagedBeanParam.selectedTramiteDocumento}"
                            value="#{documentoGenerado}" />
                    </p:commandLink>

                </p:column>

            </p:dataTable>

            <p:spacer height="50" width="0" />
            <p:outputPanel rendered="#{showAskForDocsButtonParam}" layout="block"
                           style="text-align: center">
                <p:commandButton value="Solicitar documentos requeridos adicionales"
                                 oncomplete="confirmacionSolicitudDocsWV.show()"
                                 icon="ui-icon-seek-next"
                                 title="Mueve el trámite a la actividad de solicitud de documentos" />
            </p:outputPanel>

        </p:tab>

        <p:tab title="Pruebas aportadas" 
               rendered="#{not empty currentManagedBeanParam.selectedTramiteForDetailsChecking.tramitePruebas 
                           or not empty currentManagedBeanParam.selectedTramiteForDetailsChecking.documentosPruebas}">
            <p:spacer height="13" width="0" />

            <p:dataTable var="documentosTramite" 
                         widgetVar="documentosRequeridosWV" paginatorPosition="bottom"
                         paginator="true" rows="10" rowKey="#{documentosTramite.id}"
                         value="#{currentManagedBeanParam.selectedTramiteForDetailsChecking.documentosPruebas}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" selectionMode="single"
                         emptyMessage="No hay resultados para esta búsqueda">

                <f:facet name="header">
                    Documentos de Pruebas
                </f:facet>			

                <p:column>
                    <f:facet name="header">
                        Radicado en  <br />
                        correspondencia
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentosTramite.documento.numeroRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha de  <br />
                        correspondencia
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentosTramite.documento.fechaRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Tipo documento
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentosTramite.documento.tipoDocumento.nombre}" />
                </p:column>				

                <p:column>
                    <f:facet name="header">
                        Documento soporte
                    </f:facet>
                    <p:commandLink
                        value="#{documentosTramite.documento.archivo}"
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        oncomplete="docViewerWV.show();statusDialog2.hide()"
                        onstart="statusDialog2.show()"
                        action="#{currentManagedBeanParam.cargarDocumentoTemporalPrev}"
                        rendered="#{!documentosTramite.documento.archivoADescargar}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoAlfresco}"
                            value="#{documentosTramite.documento}" />
                        <f:setPropertyActionListener
                            target="#{currentManagedBeanParam.selectedTramiteDocumentacion}"
                            value="#{documentosTramite}" />
                    </p:commandLink>

                </p:column>


            </p:dataTable>
        </p:tab>
        <ui:include src="/util/visorGeografico.xhtml" />	
    </p:tabView>

    <p:dialog widgetVar="procesoImgWV" showEffect="fade" showHeader="true" closable="true" dynamic="true" id="procesoImg" modal="true" appendToBody="true" header="Proceso">
        <div class="noborder" style="overflow: auto; width: 600px; height: 400px;">
            <p:graphicImage url="#{tareasPendientes.imagenProceso}" width="80%" ></p:graphicImage>
        </div>

    </p:dialog>  

</h:form>
